Public Member Functions | Public Attributes | Friends | List of all members
NisusWrtTextInternal::PicturePara Struct Reference

Internal: the picture data ( PICD ) More...

## Public Member Functions
| PicturePara ()
| constructor More...

## Public Attributes
int | m_id
| the picture id More...
int | m_paragraph
| the paragraph position More...
MWAWBox2i | m_position
| the position More...

## Friends
std::ostream & | operator<< (std::ostream &o, PicturePara const &pict)
| operator<< More...

## Detailed Description

Internal: the picture data ( PICD )

## Constructor & Destructor Documentation

## ◆ PicturePara()

NisusWrtTextInternal::PicturePara::PicturePara | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | PicturePara const & | pict
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_id

int NisusWrtTextInternal::PicturePara::m_id

the picture id

Referenced by NisusWrtTextInternal::operator<<(), NisusWrtText::readPICD(), and NisusWrtText::sendText().

## ◆ m_paragraph

int NisusWrtTextInternal::PicturePara::m_paragraph

the paragraph position

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readPICD().

## ◆ m_position

MWAWBox2i NisusWrtTextInternal::PicturePara::m_position

the position

Referenced by NisusWrtTextInternal::operator<<(), NisusWrtText::readPICD(), and NisusWrtText::sendText().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx